Skip to main content
POST
/
commerce
/
inventory
/
v1
/
bin
/
{bin_id}
Error
A valid request URL is required to generate request examples
{
  "binID": 123,
  "binStatusID": 123,
  "binTypeID": 123,
  "locationCode": "<string>",
  "messages": [
    "<string>"
  ],
  "name": "<string>",
  "numResults": 123,
  "success": true
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

bin_id
integer<int64>
required

Id of bin to update

Body

application/json

Request to update a bin

Request needed for updating a bin

binID
integer

Bin identifier

binStatusID
integer

New Bin's Status ID

binTypeID
integer

New Bin's Type ID

locationCode
string

Location Code

pageNum
integer

which page to show

pageSize
integer

how many results to show per page

sortBy
string

index to sort results by

userID
integer

user id

Response

Success

Response object for a bin

binID
integer

Bin ID

binStatusID
integer

Bin Status ID

binTypeID
integer

Bin Type ID

locationCode
string

Location Code

messages
string[]

List of messages

name
string

Bin Name

numResults
integer

Number of results

success
boolean

Flag for success